import 'package:flutter/material.dart';

mixin HelperResponsiveLayout {
  bool isSmallScreenSize(BuildContext context) {
    return MediaQuery.of(context).size.width < 600;
  }

  bool isMediumScreenSize(BuildContext context) {
    return MediaQuery.of(context).size.width >= 600 &&
        MediaQuery.of(context).size.width < 1024;
  }

  bool isHafMediumScreenSize(BuildContext context) {
    return MediaQuery.of(context).size.width >= 600 / 1.3 &&
        MediaQuery.of(context).size.width < 1024 / 1.3;
  }

  bool isLargeScreenSize(BuildContext context) {
    return MediaQuery.of(context).size.width >= 1024 &&
        MediaQuery.of(context).size.width < 1440;
  }

  bool isExtraLargeScreenSize(BuildContext context) {
    return MediaQuery.of(context).size.width >= 1440;
  }
}
